<button class="add-button d-flex align-items-center me-5" (click)="openVerticallyCentered(mymodal)" >
  <i class="fa-solid fa-star" aria-hidden="true"></i> <!-- Compliant icon fonts usage -->
</button>
<ng-template #mymodal let-modal >
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Ajouter à mes favoris</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form [formGroup]="createFonctionnaliteForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <div class="form-group">
          <input
            type="hidden"
            id="groupe_fonctionnalites_groupe_id"
            name="groupe_fonctionnalites_groupe_id"
          />
          <label class="mb-1" for="nom">Intitulé</label>
          <input
            type="text"
            id="nom"
            name="nom"
            class="form-control mb-2"
            formControlName="nom"
          />
        </div>
        <div class="form-group">
          <label class="mb-1" for="details">Détails</label>
          <textarea
            class="form-control mb-2"
            id="details"
            name="details"
            formControlName="details"
          ></textarea>
        </div>
        <div class="form-group">
          <label class="mb-1" for="resultatAttendu">Résultat Attendu</label>
          <textarea
            class="form-control mb-2"
            id="resultatAttendu"
            name="resultatAttendu"
            formControlName="resultatAttendu"
          ></textarea>
        </div>
        <div class="form-group">
          <label class="mb-1" for="scenario">Scenario</label>
          <textarea
            class="form-control mb-2"
            id="scenario"
            name="scenario"
            formControlName="scenario"
          ></textarea>
        </div>
        <div class="form-group">
          <select name="periodicite" id="periodicite" class="w-100" formControlName="periodicite">
            <option value="" [selected]>Choisissez une périodicité</option>
            <option value="1 mois">1 mois</option>
            <option value="2 mois">2 mois</option>
            <option value="3 mois">3 mois</option>
            <option value="4 mois">4 mois</option>
            <option value="5 mois">5 mois</option>
            <option value="6 mois">6 mois</option>
            <option value="7 mois">7 mois</option>
            <option value="8 mois">8 mois</option>
            <option value="9 mois">9 mois</option>
            <option value="10 mois">10 mois</option>
            <option value="11 mois">11 mois</option>
            <option value="12 mois">12 mois</option>
          </select>
        </div>
        <div class="form-group">
          <select name="priorite" id="priorite" class="w-100" formControlName="priorite">
            <option value="" [selected]>Choisissez une priorité</option>
            <option value=1>urgent</option>
            <option value=2>important</option>
            <option value=3>standard</option>
            <option value=4>optionnel</option>
          </select>
        </div>
        <div class="form-group">
          <select name="archive" id="archive" class="w-100" formControlName="archive">
            <option value="false" [selected]>Status</option>
            <option value="false">actif</option>
            <option value="true">inactif</option>
          </select>
        </div>
        Groupe : {{ groupe.nom }}
        <div class="mt-3 mb-2">
          <button class="btn btn-primary w-100">Sauvegarder</button>
        </div>
        <div class="mt-2 mb-2">
          <button class="btn btn-secondary w-100" type="reset" (click)="onReset()">Annuler</button>
        </div>
      </div>
    </form>
  </div>
</ng-template>

